## com.saxonica.codegen
Class BooleanValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.BooleanValueCompiler

    public class BooleanValueCompiler

extends ValueCompiler

Constructor Summary
`BooleanValueCompiler()`

Method Summary
`java.lang.String` `compileToEffectiveBooleanValue(CompilerService compiler, Value expr, ReturnAction result)`
`java.lang.String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanValueCompiler

    public BooleanValueCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public java.lang.String compileToEffectiveBooleanValue(CompilerService compiler,
                                                           Value expr,
                                                           ReturnAction result)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) Saxonica Limited. All rights reserved.